﻿using RimWorld;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UnityEngine;
using Verse;
using HarmonyLib;

namespace Koyan
{
    [HarmonyPatch(typeof(PawnComponentsUtility), "AddComponentsForSpawn")]
    public static class Patch_PawnComponentsUtility_AddComponentsForSpawn
    {
        [HarmonyPrefix]
        public static bool Prefix(Pawn pawn)
        {
            if(pawn.caller == null && pawn.def.HasModExtension<DefModExt_EnableCaller>())
            {
                pawn.caller = new Pawn_CallTracker(pawn);
                //LogUtil.LogError($"Added CallTracker to {pawn.Name}");
            }
            return true;
        }
    }
}
