﻿using RimWorld;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UnityEngine;
using Verse;
using HarmonyLib;

namespace Koyan
{
    [HarmonyPatch(typeof(ThoughtWorker_SharedBed), "CurrentStateInternal")]
    public static class Patch_ThoughtWorker_SharedBed_CurrentStateInternal
    {
        [HarmonyPrefix]
        public static bool Prefix(Pawn p, ref ThoughtState __result)
        {
            if(p.ownership?.OwnedBed?.OwnersForReading.Any(o => o.def == KoyanDefOf.ERN_Koyan) ?? false)
            {
                __result = false;
                return false;
            }
            return true;
        }
    }
}
