﻿using RimWorld;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UnityEngine;
using Verse;
using Verse.AI;

namespace Koyan
{
    public class MentalStateWorker_ScratchStuff : MentalStateWorker
	{
		public static List<Thing> tmpThings = new List<Thing>();

		public override bool StateCanOccur(Pawn pawn)
		{
			if (!base.StateCanOccur(pawn) || pawn.def != KoyanDefOf.ERN_Koyan)
			{
				return false;
			}
			tmpThings.Clear();
			KoyanAIUtility.GetSmashableThingsNear(pawn, pawn.Position, tmpThings, null);
			bool result = tmpThings.Any();
			tmpThings.Clear();
			return result;
		}
	}
}
